Main Page Widgets Namespaces Book

# Gtk::RadioButton_Helpers::Group Class Reference

List of all members.

## Detailed Description

Group identifier for RadioButtons To set up this group, construct a Group and then pass it to the constructor of all radio items.

You do not need to keep the group beyond the initial construction. It should not be instantiated with new, and it will be invalid after the RadioButtons have been deleted.

## Public Member Functions

| Group ()
| Group (const Group& src)
Group& | operator= (const Group& src)

## Protected Member Functions

| Group (GSList* group)
void | add (RadioButton& item)
void | add (RadioMenuItem& item)
void* | operator new (size_t)

## Protected Attributes

GSList* | group_

## Friends

class | Gtk::RadioButton
class | Gtk::RadioMenuItem

## Constructor & Destructor Documentation

Gtk::RadioButton_Helpers::Group::Group | ( |  | ) |

Gtk::RadioButton_Helpers::Group::Group | ( | const Group& | src | ) |

Gtk::RadioButton_Helpers::Group::Group | ( | GSList* | group | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::RadioButton_Helpers::Group::add | ( | RadioMenuItem& | item | ) | `[protected]`

void Gtk::RadioButton_Helpers::Group::add | ( | RadioButton& | item | ) | `[protected]`

void* Gtk::RadioButton_Helpers::Group::operator new | ( | size_t |  | ) | `[protected]`

Group& Gtk::RadioButton_Helpers::Group::operator= | ( | const Group& | src | ) |

## Friends And Related Function Documentation

friend class Gtk::RadioButton `[friend]`

friend class Gtk::RadioMenuItem `[friend]`

## Member Data Documentation

GSList* Gtk::RadioButton_Helpers::Group::group_ `[protected]`

The documentation for this class was generated from the following file:

- radiobutton.h